import qcQueueMap from './qcQueueMap.js'
import QcQueuePositions from './QcQueuePositions.js'
import assert from './assert.js'
import QcQueuePlayInfo from './QcQueuePlayInfo.js'

const QcQueueIsPlaying = () => {
	return QcQueuePlayInfo().isPlaying
}
QcQueueIsPlaying.set = (isPlaying) => {
	assert(typeof isPlaying === 'boolean')
	const queuePositions = QcQueuePositions()
	QcQueuePlayInfo.set({
		isPlaying: isPlaying,
		sourceTrack: queuePositions.length ? qcQueueMap.get(queuePositions[0]).track : undefined,
		sourcePlaylist: queuePositions.length ? qcQueueMap.get(queuePositions[0]).playlist : undefined,
	})
}

export default QcQueueIsPlaying
