import QcsMediaExists from './QcsMediaExists.js'
import CollabPositionComparison from './CollabPositionComparison.js'
import qcRecentsMap from './qcRecentsMap.js'

let cache = null
const QcRecentsPositions = () => {
	if (cache === null) {
		cache = [...qcRecentsMap.keys()].filter((position) => {
			return QcsMediaExists(qcRecentsMap.get(position))
		})
		cache.sort(CollabPositionComparison)
	}
	return cache
}
qcRecentsMap.onChange(() => {
	cache = null
})
QcsMediaExists.onChange(() => {
	cache = null
})

export default QcRecentsPositions
