import zlib from 'node:zlib'

const Ungzipped = (data) => {
	return new Promise((resolve, reject) => {
		zlib.gunzip(data, (errorOrFalsyValue, ungzippedDataIfNotErrorOrFalsyValue) => {
			if (errorOrFalsyValue) {
				reject(errorOrFalsyValue)
			} else {
				resolve(ungzippedDataIfNotErrorOrFalsyValue)
			}
		})
	})
}

export default Ungzipped
