import qcWriteDebuggingInfo from './qcWriteDebuggingInfo.js'
import ThroweeAsJsonValue from './ThroweeAsJsonValue.js'

const qcFetchOkJsonOrNull = async (resource, initOrUndefined) => {
	try {
		const response = await fetch(resource, initOrUndefined)
		return response.ok ? await response.json() : null
	} catch (throwee) {
		qcWriteDebuggingInfo('qcFetchOkJsonOrNullThrowee', ThroweeAsJsonValue(throwee))
		return null
	}
}

export default qcFetchOkJsonOrNull
