import assert from './assert.js'

const DecCollabIdInt = (collabIdInt) => {
	assert(collabIdInt !== '00000')
	let i = 4
	while (collabIdInt[i] === '0') {
		i--
	}
	return (
		collabIdInt.slice(0, i)
		+ (collabIdInt[i] === 'A' ? '9' : String.fromCharCode(collabIdInt.charCodeAt(i) - 1))
		+ 'Z'.repeat(4 - i)
	)
}

export default DecCollabIdInt
