const SubstringByCircumfixOrNull = (string, prefix, suffix) => {
	const prefixIndexOrNegativeOne = string.indexOf(prefix)
	if (prefixIndexOrNegativeOne === -1) {
		return null
	}
	const substringIndex = prefixIndexOrNegativeOne + prefix.length
	const suffixIndexOrNegativeOne = string.indexOf(suffix, substringIndex)
	if (suffixIndexOrNegativeOne === -1) {
		return null
	}
	return string.slice(substringIndex, suffixIndexOrNegativeOne)
}

export default SubstringByCircumfixOrNull
