import qsWriteDebuggingInfo from './qsWriteDebuggingInfo.js'
import ThroweeAsJsonValue from './ThroweeAsJsonValue.js'

const qsSendHttpResBodyToFile = (res, fileWriteStream) => {
	res.pipe(fileWriteStream)
	res.on('error', (error) => {
		if (fileWriteStream.writable) {
			fileWriteStream.destroy()
		}
		qsWriteDebuggingInfo('qsSendHttpResBodyToFileError', ThroweeAsJsonValue(error))
	})
}

export default qsSendHttpResBodyToFile
