// import CollabId from './CollabId.js'
import fs from 'node:fs'
import FsPath from 'node:path'
// import qcsCollabMap from './qcsCollabMap.js'
// import QcsMediaInfoOrNull from './QcsMediaInfoOrNull.js'
// import QcsPlaylistMaps from './QcsPlaylistMaps.js'
import qsDataDir from './qsDataDir.js'
// import QsPlaylistSortedMedia from './QsPlaylistSortedMedia.js'
// import qsSendHttpResBodyToFile from './qsSendHttpResBodyToFile.js'
// import QsTrackAudioFileInfoOrNull from './QsTrackAudioFileInfoOrNull.js'
// import QsYtAudioResOrNull from './QsYtAudioResOrNull.js'
// import QsYtAudioUriOrNull from './QsYtAudioUriOrNull.js'
// import wait from './wait.js'

// import './qsCollabMapSetup.js'

const qsTrackAudioFilesDir = FsPath.join(qsDataDir, 'av')
await fs.promises.mkdir(qsTrackAudioFilesDir, {recursive: true})
// const prioritizedTracksToArchive = await (async () => {
// 	const fileNames = (await fs.promises.readdir(qsTrackAudioFilesDir)).filter((childName) => {
// 		return !childName.startsWith('.')
// 	})
// 	const files = fileNames.map((fileName) => {
// 		return FsPath.join(qsTrackAudioFilesDir, fileName)
// 	})
// 	const fileTracks = new Map()
// 	for (const key of qcsCollabMap.keys()) {
// 		const matchOrNull = key.match(/^media-([^-]*)-audioFileInfo$/)
// 		if (matchOrNull !== null) {
// 			const [, media] = matchOrNull
// 			fileTracks.set(FsPath.join(qsTrackAudioFilesDir, JSON.parse(qcsCollabMap.get(key)).name), media)
// 		}
// 	}
// 	for (const file of files) {
// 		if (!fileTracks.has(file)) {
// 			await fs.promises.rm(file)
// 		}
// 	}
// 	const IsArchivableTrack = (media) => {
// 		const infoOrNull = QcsMediaInfoOrNull(media)
// 		return infoOrNull !== null && infoOrNull.kind === 'ytTrack'
// 	}
// 	const archiveFileSizes = new Map()
// 	for (const file of files) {
// 		const trackOrUndefined = fileTracks.get(file)
// 		if (trackOrUndefined !== undefined && IsArchivableTrack(trackOrUndefined)) {
// 			archiveFileSizes.set(file, (await fs.promises.stat(file)).size)
// 		}
// 	}
// 	let archiveSize = 0
// 	for (const size of archiveFileSizes.values()) {
// 		archiveSize += size
// 	}
// 	const archiveSizeLimitAsJsonOrEmptyString = qcsCollabMap.get('media-recents-trackAudioArchiveSizeLimit')
// 	const archiveSizeLimit = archiveSizeLimitAsJsonOrEmptyString === '' ? 0 : JSON.parse(archiveSizeLimitAsJsonOrEmptyString)
// 	const reverseArchivePrioritizedMediaSet = new Set()
// 	const playlistMaps = QcsPlaylistMaps()
// 	for (const media of QsPlaylistSortedMedia(playlistMaps, 'recents')) {
// 		reverseArchivePrioritizedMediaSet.add(media)
// 		for (const track of QsPlaylistSortedMedia(playlistMaps, media)) {
// 			reverseArchivePrioritizedMediaSet.add(track)
// 		}
// 	}
// 	const archivePrioritizedMedia = [...reverseArchivePrioritizedMediaSet]
// 	archivePrioritizedMedia.reverse()
// 	const mediaArchivePriorities = new Map()
// 	for (let i = 0; i < archivePrioritizedMedia.length; i++) {
// 		mediaArchivePriorities.set(archivePrioritizedMedia[i], i)
// 	}
// 	const MediaArchivePriority = (media) => {
// 		const priorityOrUndefined = mediaArchivePriorities.get(media)
// 		return priorityOrUndefined === undefined ? -1 : priorityOrUndefined
// 	}
// 	const prioritizedArchiveFiles = [...archiveFileSizes.keys()]
// 	prioritizedArchiveFiles.sort((a, b) => {
// 		return MediaArchivePriority(fileTracks.get(a)) - MediaArchivePriority(fileTracks.get(b))
// 	})
// 	for (const file of prioritizedArchiveFiles) {
// 		if (archiveSize <= archiveSizeLimit) {
// 			break
// 		}
// 		await fs.promises.rm(file)
// 		archiveSize -= archiveFileSizes.get(file)
// 	}
// 	const fileNameSet = new Set(fileNames)
// 	return archiveSizeLimit === 0 ? [] : archivePrioritizedMedia.filter((media) => {
// 		if (IsArchivableTrack(media)) {
// 			const fileInfoOrNull = QsTrackAudioFileInfoOrNull(media)
// 			return fileInfoOrNull === null || !fileNameSet.has(fileInfoOrNull.name)
// 		}
// 		return false
// 	})
// })()
// ;(async () => {
// 	for (let i = prioritizedTracksToArchive.length - 1; i >= 0; i--) {
// 		await wait(1000000)
// 		const infoOrNull = QcsMediaInfoOrNull(prioritizedTracksToArchive[i])
// 		if (infoOrNull !== null) {
// 			if (infoOrNull.kind === 'ytTrack') {
// 				const uriOrNull = await QsYtAudioUriOrNull(infoOrNull.value)
// 				if (uriOrNull !== null) {
// 					const resOrNull = await QsYtAudioResOrNull(uriOrNull)
// 					if (resOrNull !== null) {
// 						const fileName = CollabId()
// 						const fileWriteStream = fs.createWriteStream(FsPath.join(qsTrackAudioFilesDir, fileName))
// 						qsSendHttpResBodyToFile(resOrNull, fileWriteStream)
// 						await new Promise((resolve) => {
// 							fileWriteStream.on('close', resolve)
// 						})
// 						if (fileWriteStream.writableFinished) {
// 							qcsCollabMap.set(
// 								'media-' + prioritizedTracksToArchive[i] + '-audioFileInfo',
// 								JSON.stringify({contentType: resOrNull.headers['content-type'], name: fileName}),
// 							)
// 						}
// 					}
// 				}
// 			}
// 		}
// 	}
// })()

export default qsTrackAudioFilesDir
